Inicio / Content / Boletín de INCIBE-CERT del 17-03-2022

Boletín de INCIBE-CERT del 17-03-2022

Restricción incorrecta de referencia a XXE en productos Bosch

Fecha de publicación: 
17/03/2022
Importancia: 
5 - Crítica
Recursos afectados: 
  • Bosch BVMS, versión 9.0.0 y anteriores;
  • Bosch BVMS, versiones desde 10.0 hasta 10.0.2 incluida;
  • Bosch BVMS, versiones desde 10.1 hasta 10.1.1 incluida;
  • Bosch BVMS, versiones desde 11.0 hasta 11.1.0 incluida;
  • Bosch DIVAR IP 7000 R2;
  • Bosch DIVAR IP all-in-one 5000;
  • Bosch DIVAR IP all-in-one 7000.
Descripción: 

Diversos productos de Bosch son vulnerables a ataques basados en XXE. La vulnerabilidad, inicialmente clasificada como crítica, rebaja su severidad a nivel medio si BVMS está instalado en la ubicación por defecto.

Solución: 

Instalar BVMS en un directorio en el que los usuarios con pocos privilegios del sistema operativo no tengan permisos de escritura.

BVMS depende de su directorio de instalación para estar protegido de forma fiable contra la modificación por parte de los no administradores. Cuando BVMS se instala en la ubicación predeterminada %ProgramFiles% la vulnerabilidad solo puede ser explotada cuando un atacante ya posee privilegios administrativos en el sistema operativo antes del ataque.

Detalle: 

Las versiones de Apache log4net anteriores a la 2.0.10 no deshabilitan las entidades externas XML al analizar los archivos de configuración de log4net. Esto podría permitir ataques basados en XXE en aplicaciones que aceptan archivos de configuración de log4net controlados por atacantes. Se ha asignado el identificador CVE-2018-1285 para esta vulnerabilidad.

Encuesta valoración